cgi_debug_init(3)

NAME
cgi_debug_init - initialize standalone debugging

SYNOPSIS
#include <cgi/cgi.h> void cgi_debug_init (int argc, char **argv);

ARGUMENTS
argc/argv - the arguments from main

DESCRIPTION
cgi_debug_init initializes a CGI program for standalone debugging. By running a ClearSilver CGI program with a filename on the command line as the first argument, the CGI program will load that file of the form K=V as a set of HTTP/CGI environment variables. This allows you to run the program under a debugger in a reproducible environment.

RETURN VALUE
None

SEE ALSO
cgi_debug_init(3), cgi_parse(3), cgi_destroy(3), cgi_js_escape(3), cgi_html_escape_strfunc(3), cgi_register_strfuncs(3), cgi_output(3), parse_rfc2388(3), cgi_url_validate(3), open_upload(3), cgi_cs_init(3), cgi_url_escape_more(3), cgi_html_strip_strfunc(3), cgi_neo_error(3), cgi_redirect(3), cgi_filehandle(3), cgi_register_parse_cb(3), cgi_url_escape(3), cgi_init(3), cgi_redirect_uri(3), cgi_cookie_clear(3), cgi_url_unescape(3), cgi_vredirect(3), cgi_display(3), cgi_html_ws_strip(3), cgi_error(3), cgi_cookie_set(3), cgi_text_html_strfunc(3), cgi_cookie_authority